Subject: building cygwin.dll
From: [email-masked] (Larry Hall)

3 Dec 1997 04:12:20 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=====================_881139860==_"
To: [email-masked]

--=====================_881139860==_
Content-Type: text/plain; charset="us-ascii"

Perhaps someone can help me.

I'm trying to build the cygwin DLL.  I'm using the source with the original
b18 distribution plus the source for winsup and newlib from Sergey's 
coolview-src_tar.gz, circa 10/30.  I'm building on NT 4.0 + sp3.  I have 
substituted the original b18 signal.h for the one in Sergey's newlib 
directory in addition to removing #ifdef OLDWAY statements from code in 
this directory.  The configure went fine.  The source is in /usr/src/cdk 
and the objects in /usr/obj/cdk.  All mounts are binary.  I start the 
compile with 

make all-target-winsup

in the /usr/obj/cdk directory.  This proceeds uneventfully until it reaches
the /usr/obj/cdk/gcc directory.  When it goes to compile 
/usr/src/cdk/newlib/libm/math/s_ilogb.c, it complains:

/usr/obj/cdk/gcc/xgcc -B/usr/obj/cdk/gcc/ -idirafter 
/usr/obj/cdk/./newlib/targ-include -idirafter 
/usr/src/cdk/newlib/libc/include -nostdinc -O2  -O2 -DHAVE_OPENDIR 
-DHAVE_RENAME -DSIGNAL_PROVIDED -fno-builtin 
-I/usr/obj/cdk/newlib/./targ-include -I/usr/src/cdk/newlib/./libc/include 
-c /usr/src/cdk/newlib/libm/math/s_ilogb.c
In file included from /usr/obj/cdk/gcc/include/syslimits.h:7,
                 from /usr/obj/cdk/gcc/include/limits.h:11,
                 from /usr/src/cdk/newlib/libm/math/s_ilogb.c:62:
/usr/obj/cdk/gcc/include/limits.h:116: limits.h: No such file or directory
make[3]: *** [s_ilogb.o] Error 1
make[2]: *** [math/lib.a] Error 1
make[1]: *** [libm/libm.a] Error 2
make: *** [all-target-newlib] Error 2

I've attached the limits.h and syslimits.h file the above error references.
My CPLUS_INCLUDE_PATH and C_INCLUDE_PATH read as follows:

CPLUS_INCLUDE_PATH=/usr/include:/usr/include/g++
C_INCLUDE_PATH=/usr/include

These paths are valid.  Obviously, a limits.h file exists since its the
one complaining that it cannot find limits.h.  The line that generates
the complaint reads:

#include_next <limits.h>        /* recurse down to the real one */

I have not been able to find anything in man pages that tell me what 
#include_next should do.  Can anyone tell me why I get this complaint and
what I might try to rectify it?

TIA,

--=====================_881139860==_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

/* This administrivia gets added to the beginning of limits.h
   if the system has its own version of limits.h.  */

/* We use _GCC_LIMITS_H_ because we want this not to match
   any macros that the system's limits.h uses for its own purposes. =
 */
#ifndef _GCC_LIMITS_H_  /* Terminated in limity.h.  */
#define _GCC_LIMITS_H_

#ifndef _LIBC_LIMITS_H_
/* Use "..." so that we find syslimits.h only in this same directory. =
 */
#include "syslimits.h"
#endif
#ifndef _LIMITS_H___
#ifndef _MACH_MACHLIMITS_H_

/* _MACH_MACHLIMITS_H_ is used on OSF/1.  */
#define _LIMITS_H___
#define _MACH_MACHLIMITS_H_

/* Number of bits in a `char'.  */
#undef CHAR_BIT
#define CHAR_BIT 8

/* Maximum length of a multibyte character.  */
#ifndef MB_LEN_MAX
#define MB_LEN_MAX 1
#endif

/* Minimum and maximum values a `signed char' can hold.  */
#undef SCHAR_MIN
#define SCHAR_MIN (-128)
#undef SCHAR_MAX
#define SCHAR_MAX 127

/* Maximum value an `unsigned char' can hold.  (Minimum is 0).  */
#undef UCHAR_MAX
#define UCHAR_MAX 255

/* Minimum and maximum values a `char' can hold.  */
#ifdef __CHAR_UNSIGNED__
#undef CHAR_MIN
#define CHAR_MIN 0
#undef CHAR_MAX
#define CHAR_MAX 255
#else
#undef CHAR_MIN
#define CHAR_MIN (-128)
#undef CHAR_MAX
#define CHAR_MAX 127
#endif

/* Minimum and maximum values a `signed short int' can hold.  */
#undef SHRT_MIN
#define SHRT_MIN (-32768)
#undef SHRT_MAX
#define SHRT_MAX 32767

/* Maximum value an `unsigned short int' can hold.  (Minimum is 0). =
 */
#undef USHRT_MAX
#define USHRT_MAX 65535

/* Minimum and maximum values a `signed int' can hold.  */
#ifndef __INT_MAX__
#define __INT_MAX__ 2147483647
#endif
#undef INT_MIN
#define INT_MIN (-INT_MAX-1)
#undef INT_MAX
#define INT_MAX __INT_MAX__

/* Maximum value an `unsigned int' can hold.  (Minimum is 0).  */
#undef UINT_MAX
#define UINT_MAX (INT_MAX * 2U + 1)

/* Minimum and maximum values a `signed long int' can hold.
   (Same as `int').  */
#ifndef __LONG_MAX__
#ifndef __alpha__
#define __LONG_MAX__ 2147483647L
#else
#define __LONG_MAX__ 9223372036854775807L
# endif /* __alpha__ */
#endif
#undef LONG_MIN
#define LONG_MIN (-LONG_MAX-1)
#undef LONG_MAX
#define LONG_MAX __LONG_MAX__

/* Maximum value an `unsigned long int' can hold.  (Minimum is 0). =
 */
#undef ULONG_MAX
#define ULONG_MAX (LONG_MAX * 2UL + 1)

#if defined (__GNU_LIBRARY__) ? defined (__USE_GNU) : !defined=
 (__STRICT_ANSI__)
/* Minimum and maximum values a `signed long long int' can hold.  */
#ifndef __LONG_LONG_MAX__
#define __LONG_LONG_MAX__ 9223372036854775807LL
#endif
#undef LONG_LONG_MIN
#define LONG_LONG_MIN (-LONG_LONG_MAX-1)
#undef LONG_LONG_MAX
#define LONG_LONG_MAX __LONG_LONG_MAX__

/* Maximum value an `unsigned long long int' can hold.  (Minimum is 0). =
 */
#undef ULONG_LONG_MAX
#define ULONG_LONG_MAX (LONG_LONG_MAX * 2ULL + 1)
#endif

#endif /* _MACH_MACHLIMITS_H_ */
#endif /* _LIMITS_H___ */
/* This administrivia gets added to the end of limits.h
   if the system has its own version of limits.h.  */

#else /* not _GCC_LIMITS_H_ */

#ifdef _GCC_NEXT_LIMITS_H
#include_next <limits.h>		/* recurse down to the real one */
#endif

#endif /* not _GCC_LIMITS_H_ */

--=====================_881139860==_
Content-Type: text/plain; charset="us-ascii"

/* syslimits.h stands for the system's own limits.h file.
   If we can use it ok unmodified, then we install this text.
   If fixincludes fixes it, then the fixed version is installed
   instead of this text.  */

#define _GCC_NEXT_LIMITS_H		/* tell gcc's limits.h to recurse */
#include_next <limits.h>
#undef _GCC_NEXT_LIMITS_H

--=====================_881139860==_
Content-Type: text/plain; charset="us-ascii"

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                             
--=====================_881139860==_--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".